/*
 * /////////////////////////////////////////////////////////////////////////////////
 * //
 * // Copyright <2015>-<2016> Avaya Inc. All Rights Reserved.
 * //
 * // Usage of this source is bound to the terms described
 * // in assets/Licence.txt
 * //
 * // Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 * // or Avaya Policy
 * //
 * /////////////////////////////////////////////////////////////////////////////
 */

package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class WsErrorMessage {

    @JsonProperty("code")
    private Integer code;
    @JsonProperty("errorMessage")
    private String errorMessage;
    @JsonProperty("method")
    private String method;
    @JsonProperty("needToClose")
    private String needToClose;



    public WsErrorMessage(){

    }
    public WsErrorMessage(Integer code, String errorMessage, String method) {
        this.code = code;
        this.errorMessage = errorMessage;
        this.method = method;
    }

    public WsErrorMessage(Integer code, String errorMessage, String method, String needToClose) {
        this.code = code;
        this.errorMessage = errorMessage;
        this.method = method;
        this.needToClose = needToClose;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getNeedToClose() {
        return needToClose;
    }

    public void setNeedToClose(String needToClose) {
        this.needToClose = needToClose;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    @Override
    public String toString() {
        return "WsErrorMessage{" +
                "code=" + code +
                ", errorMessage='" + errorMessage + '\'' +
                ", method='" + method + '\'' +
                '}';
    }
}
